[gnome-builder] Don't depend on gnome-common



commit c12768d95c2e98051526e7e85904cd06d90e0147
Author: TingPing <tingping tingping se>
Date:   Thu Apr 30 15:10:10 2015 -0400

    Don't depend on gnome-common
    
    gnome-autogen.sh adds little value and this fixes
    using the correct aclocal path "./build/autotools"
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748722

 autogen.sh   |   25 ++++++++++++++++---------
 configure.ac |    4 ++--
 2 files changed, 18 insertions(+), 11 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 67763a1..8beb47d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -10,16 +10,23 @@ test -z "$srcdir" && srcdir=.
     exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME git"
-    exit 1
-}
 
 touch ChangeLog
 touch INSTALL
 
-REQUIRED_AUTOCONF_VERSION=2.59
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_INTLTOOL_VERSION=0.40.0
-REQUIRED_PKG_CONFIG_VERSION=0.22
-. gnome-autogen.sh
+aclocal --install -I build/autotools || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
+
+set +x
diff --git a/configure.ac b/configure.ac
index e46ebe6..f7df2a2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -41,7 +41,7 @@ dnl ***********************************************************************
 dnl Initialize Automake
 dnl ***********************************************************************
 AM_SILENT_RULES([yes])
-AM_INIT_AUTOMAKE([foreign subdir-objects tar-ustar no-dist-gzip dist-xz])
+AM_INIT_AUTOMAKE([1.11 foreign subdir-objects tar-ustar no-dist-gzip dist-xz])
 AM_MAINTAINER_MODE([enable])
 
 
@@ -67,7 +67,7 @@ AC_PATH_PROG([GLIB_MKENUMS], [glib-mkenums])
 AC_PATH_PROG([GLIB_COMPILE_RESOURCES], [glib-compile-resources])
 AM_PATH_GLIB_2_0
 AC_HEADER_STDC
-
+PKG_PROG_PKG_CONFIG([0.22])
 
 dnl ***********************************************************************
 dnl Find Path of GNU Make


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]